<template>
    <v-navigation-drawer
            class="sidebar-nav-drawer"
            v-model="this.$store.state.drawer"
            v-if="this.$store.state.loggedIn"
            fixed
            app>
        <TreeMenu v-for="(route, index) in nav.children" :index=index :icon="route.icon" :children="route.children" :path="route.path" :name="route.name" :depth="index" value="false"
                  :navigation="route.navigation"></TreeMenu>


    </v-navigation-drawer>
</template>

<script>
    import {mapState} from 'vuex';
    import TreeMenu from "./TreeMenu";

    export default {
        name: "Sidebar",
        components: {TreeMenu},
        data: function () {
            return {
                nav: {
                    navigation: true,
                    children: this.$router.options.routes
                },
            }
        },
        filters: {
            capitalize: function (value) {
                if (!value) return ''
                value = value.toString()
                return value.charAt(0).toUpperCase() + value.slice(1)
            }
        },
        ...mapState([
            'drawer',
        ]),
        methods: {},
        computed: {}
    }

</script>

<style scoped>
.sidebar-nav-drawer{
    margin-top:50px;
}
</style>